Delete custom column
Delete a custom column object by its id. Requires delete permission on the scoping object.
Authorizations
Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.
Path Parameters
CustomColumn id
Response
Returns the deleted custom column object
Unique identifier for the custom columns
The object type that the ACL applies to
organization, project, experiment, dataset, prompt, prompt_session, group, role, org_member, project_log, org_project, org_audit_logs, project_group, project_group_projects, ai_secret, org_ai_secret, org_account The id of the object the custom column is scoped for
The object type that the ACL applies to
organization, project, experiment, dataset, prompt, prompt_session, group, role, org_member, project_log, org_project, org_audit_logs, project_group, project_group_projects, ai_secret, org_ai_secret, org_account The table variant that the custom column applies to
project, experiment, dataset, project_log, experiment_list The name of the custom column
The expression used to extract the value for the custom column
Date of custom columns creation